{
    "label": "设备",
    "order": 8,
    "blocks": [
        {
            "type": "Normal",
            "name": "ModbusCommonReadNameBp",
            "label": "通用读取 Modbus 值(Name)",
            "description": "",
            "inputParams": [
                {
                    "name": "instanceName",
                    "type": "String",
                    "label": "Name",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "address",
                    "type": "Integer",
                    "label": "地址编号",
                    "description": "",
                    "required": false,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "remark",
                    "type": "String",
                    "label": "地址说明",
                    "description": "",
                    "required": false,
                    "defaultValue": null,
                    "options": []
                }
            ],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {
                "modbusValue": {
                    "type": "String",
                    "label": "Modbus值",
                    "description": null
                }
            },
            "children": {},
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## 通用读取 Modbus 值(Name) (ModbusCommonReadNameBp)\n\n### 描述\n本块用于通过设备名称和地址读取Modbus设备的值。\n\n### 输入参数\n\n| 参数名       | 是否必填 | 类型     | 描述       |\n|-------------|---------|----------|------------|\n| instanceName | 必填    | String   | Name       |\n| address     | 选填    | Integer  | 地址编号    |\n| remark      | 选填    | String   | 地址说明    |\n\n### 上下文变量\n\n| 变量名       | 类型     | 描述       |\n|-------------|----------|------------|\n| modbusValue | String   | Modbus值    |\n\n### 输出参数\n无"
        },
        {
            "type": "Normal",
            "name": "ModbusCommonWaitNameBp",
            "label": "通用等待 Modbus 值(Name)",
            "description": "",
            "inputParams": [
                {
                    "name": "targetValue",
                    "type": "Integer",
                    "label": "目标值",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "instanceName",
                    "type": "String",
                    "label": "Name",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "address",
                    "type": "Integer",
                    "label": "地址编号",
                    "description": "",
                    "required": false,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "remark",
                    "type": "String",
                    "label": "地址说明",
                    "description": "",
                    "required": false,
                    "defaultValue": null,
                    "options": []
                }
            ],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {},
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## 通用等待 Modbus 值(Name) (ModbusCommonWaitNameBp)\n\n### 描述\n本块用于等待Modbus设备的值达到目标值。\n\n### 输入参数\n\n| 参数名       | 是否必填 | 类型     | 描述       |\n|-------------|---------|----------|------------|\n| targetValue | 必填    | Integer  | 目标值      |\n| instanceName | 必填    | String   | Name       |\n| address     | 选填    | Integer  | 地址编号    |\n| remark      | 选填    | String   | 地址说明    |\n\n### 上下文变量\n无\n\n### 输出参数\n无\n"
        },
        {
            "type": "Normal",
            "name": "ModbusCommonWriteNameBp",
            "label": "通用写入 Modbus 值(Name)",
            "description": "",
            "inputParams": [
                {
                    "name": "newValue",
                    "type": "Integer",
                    "label": "写入值",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "instanceName",
                    "type": "String",
                    "label": "Name",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "address",
                    "type": "Integer",
                    "label": "地址编号",
                    "description": "",
                    "required": false,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "remark",
                    "type": "String",
                    "label": "地址说明",
                    "description": "",
                    "required": false,
                    "defaultValue": null,
                    "options": []
                }
            ],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {},
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## 通用写入 Modbus 值(Name) (ModbusCommonWriteNameBp)\n\n### 描述\n本块用于向Modbus设备写入新值。\n\n### 输入参数\n\n| 参数名       | 是否必填 | 类型     | 描述       |\n|-------------|---------|----------|------------|\n| newValue    | 必填    | Integer  | 写入值      |\n| instanceName | 必填    | String   | Name       |\n| address     | 选填    | Integer  | 地址编号    |\n| remark      | 选填    | String   | 地址说明    |\n\n### 上下文变量\n无\n\n### 输出参数\n无"
        }
    ]
}